[ Whereis® API Home ] [ JSON API Home ] [ Services ] [ Get Detail Services ]

Use this service to obtain location data at the requested level of detail, based on a region's name and state, or by its ID.

URL

HTTP POST to <ENDPOINT>/service/detail/region

Request format

{
	"regionName":<string>,
	"state":<string>,
	"levelOfDetail":[<string>, <string>, ...],
    "tolerance":<int>
}

Rules

Parameter

Mandatory?

Description

regionName

Y

Most region names are recognised, including tourist regions such as "Sunshine Coast" and local government areas such as "Boddington Council".

state

Y

State names may be submitted in full or as abbreviations and are not case sensitive.

levelOfDetail

N

Array containing one or more of:

"BOUNDING_BOX" = rectangular area that entirely contains this region

"BOUNDING_POLYGON" = geometry of points which plot the boundary of this region

"SUBURBS" = all suburbs that fall within this region

"REGIONS" = permitted, but redundant

"POSTCODES" = all postcodes that fall within this region

"GEOMETRY" = boundary multipolygon, as well as BOUNDING_BOX and BOUNDING_POLYGON

"SUBDIVISIONS" =  REGIONS + SUBURBS

If levelOfDetail is not entered, returns centrePoint and address as regionName and state only.

toleranceNOptionally reduce level of detail in boundary geometry by setting tolerance in metres

Alternative URLs

Alternatively if you already know the ID of the region you can request detail by region ID, using either of these GET methods, optionally including levelOfDetail and tolerance as request parameters:

HTTP GET to <ENDPOINT>/service/detail/region/<id>

HTTP GET to <ENDPOINT>/service/detail/region/?id=<id>&levelOfDetail=<level_of_detail>

Sample POST request

{
	"regionName":"GREATER MELBOURNE",
	"state":"VIC",
	"levelOfDetail":["BOUNDING_BOX"]
}

Sample GET requests

GET /service/detail/region/region-50008

GET /service/detail/region?id=region-50008&levelOfDetail=BOUNDING_BOX

Sample response

{
  "boundingBox": {
    "topLeftPoint": {
      "lat": -37.401750719,
      "lon": 144.444077183
    },
    "bottomRightPoint": {
      "lat": -38.243171967,
      "lon": 145.429685399
    }
  },
  "region": {
    "id": "region-50008",
    "centrePoint": {
      "lat": -37.813389,
      "lon": 144.962832
    },
    "address": {
      "state": "VIC",
      "regionName": "GREATER MELBOURNE",
      "type": "METRO TOURIST"
    }
  }
}
NOTES
Icon

You can also pass the ID in the body of a POST request, leaving out region and state properties.

Icon

Recognised region names are data dependent and may vary. To obtain a current list of recognised region names, perform a Get details by state request, with levelOfDetail set to "REGIONS".

Icon

The "ADJACENT" levelOfDetail is not available with Get details by region requests.

Icon

GEOMETRY detail allows for geometry simplification via the tolerance property. The tolerance property accepts a number, which represents the minimum distance in metres that a point on a route can deviate from a baseline. The Whereis JSON API uses the Douglas-Peucker algorithm for geometry simplification